Subject: Re: [PATCH 13/22] sequencer: remember the onelines when parsing the todo file

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Sep 2016 15:59:03 -0700

Jakub Narębski <[email-masked]> writes:

> I wonder how probable is situation where we save instruction sheet
> for interactive rebase, with shortened SHA-1, and during rebase
> shortened SHA-1 stops being unambiguous...

It is my understanding that the shortened ones are only for end-user
consumption.  The insn sheet internally uses fully expanded form for
this exact reason, and then abbreviated back at each step before the
updated one is presented to the end-user.  Uniqueness guarantee is
enforced with new objects created during each step taken into
account by doing it this way.